Skip to content

Creator Rankings - Top E-commerce Creators

Introduction

Get the top e-commerce creators ranking

  • Supports filter parameters
  • Supports custom result sorting

API Endpoint

bash
    POST /creator/v1/rank/topEcommerce

Request Body

FieldTypeRequiredDescription
filterobjectNoFilter parameters
orderbyobjectNoSorting parameters
pageintegerNoPage number, default: 1
pagesizeintegerNoItems per page, default: 10

filter Optional Values

FieldTypeRequiredDescription
regionstringNoCountry/Region
creator_category_idintegerNoCreator category
product_category_idintegerNoProduct category
account_typeintegerNoCreator type 1:personal 2:shop
ecommerce_typeintegerNo1:Video 2:Live
date_infoobjectNoDate information

region range: ['US','GB','MX','ES','DE','IT','FR','ID','VN','MY','TH','PH','BR','JP','SG']

orderby Optional Values

FieldRequiredDescription
creator_usd_gmvNoTotal GMV (USD) (desc)
video_usd_gmvNoVideo GMV (USD) (desc)
live_usd_gmvNoLive GMV (USD) (desc)

When ecommerce_type is empty, default is descending by creator_usd_gmv. When ecommerce_type=1, default is descending by video_usd_gmv. When ecommerce_type=2, default is descending by live_usd_gmv. In other cases, orderby is invalid.

Request Example

bash
curl 'https://openapi.fastmoss.com/creator/v1/rank/topEcommerce' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer xxxxxxxxxx' \
--data '{
    "filter": {
        "region": "US",
        "product_category": 1,
        "date_info": {
            "type": "day",
            "value": "2023-02-01"
        },
        # "date_info": {
        #     "type": "week",
        #     "value": "2023-18"
        # },
        # "date_info": {
        #     "type": "month",
        #     "value": "2023-02"
        # }
    },
     "orderby": [
      {
        "field": "total_gmv",
        "order": "desc",
      }
    ],
    "page": 1,
    "pagesize": 10
}'

Response Body

data.total

  • Type: integer
  • Description: Total number of results

data.list

FieldTypeDescription
uidstringCreator ID
follower_countintegerCreator follower count
product_countintegerNumber of products sold
creator_gmvfloatCreator Total GMV
creator_usd_gmvfloatCreator Total GMV (USD)
video_countintegerVideo count
video_gmvfloatVideo Total GMV
video_usd_gmvfloatVideo Total GMV (USD)
live_countintegerLive count
live_gmvfloatLive Total GMV
live_usd_gmvfloatLive Total GMV (USD)

data.list.creator

FieldTypeDescription
uidstringCreator ID
unique_idstringCreator unique ID
nicknamestringNickname
avatarstringCreator avatar URL
regionstringCountry/Region
categoryobjectCreator category
follower_countintegerCreator follower count
video_countintegerVideo count

Response Example

json
{
  "code": 0,
  "data": {
    "list": [
      {
        "creator": {
          "uid": "6795828506624754693",
          "nickname": "thebeautycrop",
          "unique_id": "thebeautycrop",
          "avatar": "https://s.500fd.com/tt_author/09c29664a10b2eeee9089b311a7cd8df~tplv-tiktokx-cropcenter:300:300.jpeg",
          "region": "GB",
          "category": {
            "id": 2,
            "name": "Shopping & Retail"
          },
          "follower_count": 238703,
          "video_count": 3123
        },
        "follower_count": 238703,
        "product_count": 96,
        "creator_gmv": 20310.4,
        "creator_usd_gmv": 25184.84,
        "video_count": 105,
        "video_gmv": 7632.68,
        "video_usd_gmv": 9464.46,
        "live_count": 11,
        "live_gmv": 12677.72,
        "live_usd_gmv": 15720.38,
        "uid": "6795828506624754693",
        "nickname": "thebeautycrop", //deprecated
        "unique_id": "thebeautycrop", //deprecated
        "avatar": "https://s.500fd.com/tt_author/09c29664a10b2eeee9089b311a7cd8df~tplv-tiktokx-cropcenter:300:300.jpeg", //deprecated
        "region": "GB", //deprecated
        "category": {
          "id": 2,
          "name": "Shopping & Retail"
        } //deprecated
      }
    ],
    "total": "256",
    "date_type": "week",
    "date_value": "2026-03"
  },
  "message": "",
  "timestamp": 1776165689,
  "request_id": "55dc7b93-227b-de9b-2a7e-6eb7f9259555"
}